clang 10.0.0git

Public Member Functions | List of all members
clang::driver::tools::CrossWindows::Assembler Class Reference

`#include "/work/www-prereleases/10.0.0/rc1/docsbuild/clang/lib/Driver/ToolChains/CrossWindows.h"`

Inheritance diagram for clang::driver::tools::CrossWindows::Assembler:
[legend]
Collaboration diagram for clang::driver::tools::CrossWindows::Assembler:
[legend]

## Public Member Functions
| Assembler (const ToolChain &TC)
bool | hasIntegratedCPP () const override
void | ConstructJob (Compilation &C, const JobAction &JA, const InputInfo &Output, const InputInfoList &Inputs, const llvm::opt::ArgList &TCArgs, const char *LinkingOutput) const override
| ConstructJob - Construct jobs to perform the action `JA`, writing to `Output` and with `Inputs`, and add the jobs to `C`. More...
Public Member Functions inherited from clang::driver::Tool
| Tool (const char *Name, const char *ShortName, const ToolChain &TC, ResponseFileSupport ResponseSupport=RF_None, llvm::sys::WindowsEncodingMethod ResponseEncoding=llvm::sys::WEM_UTF8, const char *ResponseFlag="@")
virtual | ~Tool ()
const char * | getName () const
const char * | getShortName () const
const ToolChain & | getToolChain () const
virtual bool | hasIntegratedAssembler () const
virtual bool | canEmitIR () const
virtual bool | isLinkJob () const
virtual bool | isDsymutilJob () const
ResponseFileSupport | getResponseFilesSupport () const
| Returns the level of support for response files of this tool, whether it accepts arguments to be passed via a file on disk. More...
llvm::sys::WindowsEncodingMethod | getResponseFileEncoding () const
| Returns which encoding the response file should use. More...
const char * | getResponseFileFlag () const
| Returns which prefix to use when passing the name of a response file as a parameter to this tool. More...
virtual bool | hasGoodDiagnostics () const
| Does this tool have "good" standardized diagnostics, or should the driver add an additional "command failed" diagnostic on failures. More...
virtual void | ConstructJobMultipleOutputs (Compilation &C, const JobAction &JA, const InputInfoList &Outputs, const InputInfoList &Inputs, const llvm::opt::ArgList &TCArgs, const char *LinkingOutput) const
| Construct jobs to perform the action `JA`, writing to the `Outputs` and with `Inputs`, and add the jobs to `C`. More...

## Additional Inherited Members
Public Types inherited from clang::driver::Tool
enum | ResponseFileSupport { RF_Full, RF_FileList, RF_None }

## Detailed Description

Definition at line 22 of file CrossWindows.h.

## Constructor & Destructor Documentation

## ◆ Assembler()

clang::driver::tools::CrossWindows::Assembler::Assembler | ( | const ToolChain & | TC | ) |
| inline

Definition at line 24 of file CrossWindows.h.

## Member Function Documentation

## ◆ ConstructJob()

void tools::CrossWindows::Assembler::ConstructJob | ( | Compilation & | C,
|  | const JobAction & | JA,
|  | const InputInfo & | Output,
|  | const InputInfoList & | Inputs,
|  | const llvm::opt::ArgList & | TCArgs,
|  | const char * | LinkingOutput
| ) |  | const
| override virtual

ConstructJob - Construct jobs to perform the action `JA`, writing to `Output` and with `Inputs`, and add the jobs to `C`.

Parameters

  TCArgs | - The argument list for this toolchain, with any tool chain specific translations applied.
  LinkingOutput | - If this output will eventually feed the linker, then this is the final output name of the linked image.

Implements clang::driver::Tool.

Definition at line 24 of file CrossWindows.cpp.

References clang::driver::Compilation::addCommand(), clang::driver::tools::claimNoWarnArgs(), and clang::driver::InputInfo::getFilename().

## ◆ hasIntegratedCPP()

bool clang::driver::tools::CrossWindows::Assembler::hasIntegratedCPP | ( |  | ) | const
| inline override virtual

Implements clang::driver::Tool.

Definition at line 26 of file CrossWindows.h.

The documentation for this class was generated from the following files:

- lib/Driver/ToolChains/CrossWindows.h
- lib/Driver/ToolChains/CrossWindows.cpp